#
# Conditional build:
%bcond_with	tests		# build with tests
%define		kdeplasmaver	6.2.5
%define		qtver		5.15.2
%define		kpname		kdecoration
Summary:	A plugin-based library to create window decorations
Name:		kp6-%{kpname}
Version:	6.2.5
Release:	1
License:	GPL v2+/LGPL v2.1+
Group:		X11/Libraries
Source0:	https://download.kde.org/stable/plasma/%{kdeplasmaver}/%{kpname}-%{version}.tar.xz
# Source0-md5:	34b115f981c0f153701c9b7e826ea987
URL:		http://www.kde.org/
BuildRequires:	Qt6Core-devel >= %{qtver}
BuildRequires:	cmake >= 3.16.0
BuildRequires:	kf6-extra-cmake-modules >= 1.4.0
BuildRequires:	ninja
BuildRequires:	qt6-build >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Obsoletes:	kp5-%{kpname} < %{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A plugin-based library to create window decorations.

%package devel
Summary:	Header files for %{kpname} development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających %{kpname}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	kp5-%{kpname}-devel < %{version}

%description devel
Header files for %{kpname} development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających %{kpname}.

%prep
%setup -q -n %{kpname}-%{version}

%build
%cmake -B build \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON
%ninja_build -C build

%if %{with tests}
ctest
%endif

%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%find_lang %{kpname} --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{kpname}.lang
%defattr(644,root,root,755)
%doc README.md
%attr(755,root,root) %{_libdir}/libkdecorations2.so.*.*
%ghost %{_libdir}/libkdecorations2.so.6
%attr(755,root,root) %{_libdir}/libkdecorations2private.so.*.*
%ghost %{_libdir}/libkdecorations2private.so.11

%files devel
%defattr(644,root,root,755)
%{_libdir}/libkdecorations2.so
%{_libdir}/libkdecorations2private.so
%{_includedir}/KDecoration2
%{_includedir}/KF6/kdecoration2_version.h
%{_libdir}/cmake/KDecoration2
%changelog
* Fri Jan 10 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kp6-kdecoration.git;a=log;h=master

* Wed Jan 01 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 646c7e2
- updated to 6.2.5

* Tue Nov 26 2024 Witold Filipczyk <witekfl@poczta.onet.pl> bc153cf
- updated to 6.2.4

* Tue Nov 05 2024 Witold Filipczyk <witekfl@poczta.onet.pl> d70c915
- updated to 6.2.3

* Tue Oct 22 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 97f765a
- updated to 6.2.2

* Tue Oct 15 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 197896e
- updated to 6.2.1

* Tue Oct 08 2024 Witold Filipczyk <witekfl@poczta.onet.pl> b077b67
- updated to 6.2.0

* Tue Sep 10 2024 Witold Filipczyk <witekfl@poczta.onet.pl> d70c89e
- updated to 6.1.5

* Sun Aug 11 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 9e8dc3f
- updated to 6.1.4

* Wed Jul 17 2024 Witold Filipczyk <witekfl@poczta.onet.pl> ebb21a7
- updated to 6.1.3

* Wed Jul 03 2024 Witold Filipczyk <witekfl@poczta.onet.pl> de287f6
- updated to 6.1.2

* Wed Jun 26 2024 Witold Filipczyk <witekfl@poczta.onet.pl> ee4bd2c
- updated to 6.1.1

* Wed Jun 19 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 81a3d79
- updated to 6.1.0

* Wed May 22 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 9b73f4c
- updated to 6.0.5

* Wed Apr 17 2024 Witold Filipczyk <witekfl@poczta.onet.pl> f8cced2
- updated to 6.0.4

* Wed Mar 27 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 51535b8
- updated to 6.0.3

* Wed Mar 13 2024 Witold Filipczyk <witekfl@poczta.onet.pl> de38f69
- updated to 6.0.2

* Thu Mar 07 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 2579ea6
- updated to 6.0.1

* Sun Mar 03 2024 Witold Filipczyk <witekfl@poczta.onet.pl> b599451
- updated to 6.0.0

